"""
Django development settings for the cof project.
The settings that are not listed here are imported from .common
"""

import os

from .common import *  # NOQA
from .common import BASE_DIR, INSTALLED_APPS

# ---
# BDS-only Django settings
# ---

ALLOWED_HOSTS = ["bds.ens.fr", "www.bds.ens.fr", "dev.cof.ens.fr"]

INSTALLED_APPS += ["bds", "events", "clubs"]

STATIC_ROOT = os.path.join(
    os.path.dirname(os.path.dirname(BASE_DIR)), "public", "gestion", "static"
)

STATIC_URL = "/gestion/static/"
MEDIA_ROOT = os.path.join(os.path.dirname(BASE_DIR), "media")
MEDIA_URL = "/gestion/media/"


# ---
# Auth-related stuff
# ---

LOGIN_URL = "admin:login"
LOGIN_REDIRECT_URL = "bds:home"
